'use client';

import { Button } from '@shared/ui';
import { useModal } from '@core/providers/modal-provider';
import { ConsultationModal } from '@/entities/home/consultation-modal';

function ConsultationOrder() {
  const modal = useModal();
  const openModal = () => modal.showModal(<ConsultationModal />);

  return (
    <Button variant='orange' onClick={openModal}>
      Получить консультацию
    </Button>
  );
}

export { ConsultationOrder };
